Apache Tomcat 6.0.53

## org.apache.catalina.session
Class ManagerBase.SessionTiming

    java.lang.Object
      org.apache.catalina.session.ManagerBase.SessionTiming

Enclosing class:
  ManagerBase

    protected static final class ManagerBase.SessionTiming

extends java.lang.Object

Constructor Summary
`ManagerBase.SessionTiming(long timestamp, int duration)`

Method Summary
`int` | `getDuration()`
`long` | `getTimestamp()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagerBase.SessionTiming

    public ManagerBase.SessionTiming(long timestamp,
                                     int duration)

Method Detail

### getTimestamp

    public long getTimestamp()

  Returns:
    Time stamp associated with this piece of timing information in milliseconds.

### getDuration

    public int getDuration()

  Returns:
    Duration associated with this piece of timing information in seconds.

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.